classification
Title: Py_CompileString and PyParser_SimpleParseString not exported in python38.dll
Type: Stage: resolved
Components: Windows Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arnaud Diederen, benjamin.peterson, brett.cannon, epicfaace, lukasz.langa, miss-islington, paul.moore, pyscripter, steve.dower, tim.golden, vstinner, zach.ware
Priority: release blocker Keywords: 3.8regression, patch

Created on 2019-07-19 20:36 by pyscripter, last changed 2019-11-05 14:45 by benjamin.peterson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17056 merged benjamin.peterson, 2019-11-05 05:11
PR 17057 merged miss-islington, 2019-11-05 05:34
Messages (9)
msg348198 - (view) Author: PyScripter (pyscripter) Date: 2019-07-19 20:36
Py_CompileString and PyParser_SimpleParseString and possibly other related functions are not exported in Python 3.8 b2 DLL.  This is unintentional, not documented and unnecessarily breaks backward compatibility.

Issue 37189 was similar and related to PyRun_String.  This was fixed in Python 3.8b2. Please provide fixes to the above two functions as well.  

To confirm the error:
>>> import ctypes
>>> api = ctypes.pythonapi
>>> hasattr(api, "PyParser_SimpleParseString")
False
>>> hasattr(api2, "Py_CompileString")
False
msg348211 - (view) Author: PyScripter (pyscripter) Date: 2019-07-20 09:35
Py_CompileStringFlags is not exported either.
msg349206 - (view) Author: Ashwin Ramaswami (epicfaace) * Date: 2019-08-08 00:47
I can take this up.
msg354709 - (view) Author: Arnaud Diederen (Arnaud Diederen) Date: 2019-10-15 09:50
Python 3.8 was released yesterday, but this issue was unfortunately not addressed, making it as an embedded runtime.

Are there plans to fix this for a minor 3.8 release?

Thanks!
msg355980 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2019-11-04 20:59
I've flagged this as a release blocker so the Release Manager can make a call about whether this should hold up future releases.
msg356000 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-11-05 05:34
New changeset 62161ce989d7d4fe2b0e6899a54da20feeddc798 by Benjamin Peterson in branch 'master':
closes bpo-37633: Reëxport some function compatibility wrappers for macros in ``pythonrun.h``. (GH-17056)
https://github.com/python/cpython/commit/62161ce989d7d4fe2b0e6899a54da20feeddc798
msg356003 - (view) Author: miss-islington (miss-islington) Date: 2019-11-05 05:53
New changeset 4c22e1665c4d8e8fa31bd7aa7b403480d9be5ce2 by Miss Islington (bot) in branch '3.8':
closes bpo-37633: Reëxport some function compatibility wrappers for macros in ``pythonrun.h``. (GH-17056)
https://github.com/python/cpython/commit/4c22e1665c4d8e8fa31bd7aa7b403480d9be5ce2
msg356027 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-11-05 11:12
> closes bpo-37633: Reëxport some function compatibility wrappers for macros in ``pythonrun.h``. (GH-17056)

Aha, finally more diversity of languages in commit messages! :-D
msg356036 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2019-11-05 14:45
On Tue, Nov 5, 2019, at 03:12, STINNER Victor wrote:
> 
> STINNER Victor <vstinner@python.org> added the comment:
> 
> > closes bpo-37633: Reëxport some function compatibility wrappers for macros in ``pythonrun.h``. (GH-17056)
> 
> Aha, finally more diversity of languages in commit messages! :-D

This kind of orthography is allowable if obscure in English. https://en.wikipedia.org/wiki/Diaeresis_(diacritic)#English
History
Date User Action Args
2019-11-05 14:45:24benjamin.petersonsetmessages: + msg356036
2019-11-05 11:12:08vstinnersetmessages: + msg356027
2019-11-05 05:53:02miss-islingtonsetnosy: + miss-islington
messages: + msg356003
2019-11-05 05:34:56miss-islingtonsetpull_requests: + pull_request16568
2019-11-05 05:34:17benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg356000

stage: patch review -> resolved
2019-11-05 05:11:57benjamin.petersonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16567
2019-11-04 20:59:38brett.cannonsetpriority: normal -> release blocker
nosy: + brett.cannon
messages: + msg355980

2019-10-15 19:16:32ned.deilysetkeywords: + 3.8regression
nosy: + lukasz.langa

versions: + Python 3.9
2019-10-15 10:21:32pablogsalsetnosy: + vstinner
2019-10-15 09:50:00Arnaud Diederensetnosy: + Arnaud Diederen
messages: + msg354709
2019-08-21 12:44:41ZackerySpytzsetnosy: + benjamin.peterson
2019-08-08 00:47:03epicfaacesetnosy: + epicfaace
messages: + msg349206
2019-07-29 16:04:12vstinnersetnosy: - vstinner
2019-07-20 09:35:46pyscriptersetmessages: + msg348211
2019-07-19 20:36:46pyscriptercreate